<template>
  <v-sheet elevation="8" class="fontthai" max-height="400">
    <div id="example2" class="text-center"><label class="header">ข่าวเด่นประจำสัปดาห์</label><img src="img/news/hoy2.png" width="50" height="50"></div>
    <v-slide-group v-model="model" class="pa-4" center-active show-arrows>
      <v-slide-item v-for="item in datas" :key="item.title">
        <v-card class="ma-4" max-width="250" max-height="250">
          <v-img
            class="white--text align-end"
            height="115px"
            :src="item.enclosure['@attributes'].url"
          ></v-img>

          <v-card-subtitle class="pb-0">
            <i class="fa fa-newspaper-o" aria-hidden="true"></i>
            : &nbsp;&nbsp; <a :href="item.link" target="blank">แหล่งอ้างอิง / อ่านเพิ่ม</a>
          </v-card-subtitle>

          <v-card-text class="text--primary">
            <div class="detail">{{item.title}}</div>
          </v-card-text>

          <!-- <v-card-actions class="text-center">
            <v-content>
              <v-btn color="blue-grey" class="ma-2 white--text">
                อ่านเพิ่ม
                <v-icon right dark>mdi-comment-alert-outline</v-icon>
              </v-btn>
            </v-content>
          </v-card-actions> -->
        </v-card>
      </v-slide-item>
    </v-slide-group>
  </v-sheet>
</template>
<style scoped>
#example2 {
  border: 1px solid #6B8E23;
  padding: 10px;
  box-shadow: 5px 10px #6B8E23;
}
.header{
  font-size: 30px;
  font-weight: bold;
}
.detail{
  font-size: 14px !important;
}
</style>
<script>

export default {
  components: {},
  data () {
    return {
      datas: [],
      name: 'MyComponent'
    }
  },
  created () {
    this.getData()
  },
  methods: {
    async getData () {
      try {
        var { data } = await this.axios.get(process.env.VUE_APP_API + '/api/news/lastestnews')
        console.log(data)
        this.datas = data.data
        console.log(this.datas)
      } catch (error) {
        console.log(error.message)
      }
    }
  }
}
</script>
